Bug 175079 - NM misses IP of second DNS-server
NM misses IP of second DNS-server
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2005-12-06 09:11 EST by Martin Høy
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-01 00:30:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Martin Høy 2005-12-06 09:11:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:

Our dhcp-server sends out two IP-addresses for DNS-servers:

option domain-name-servers,;

But NetworkManager puts the first address twice in /etc/resolv.conf:


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Do a /etc/init.d/network restart
2. Confirm in /etc/resolv.conf that dhclient got it right
3. Do a /etc/ini.t/NetworkManager restart
4. Observe that we now have two nameserver-entries with the same IP

Actual Results:  
The IP of the second nameserver disappears from /etc/resolv.conf

Expected Results:  
Both of them should still be there.

Additional info:

[root@kaus ~]# rpm -qa | grep NetworkManager
Comment 1 Rahul Sundaram 2006-02-20 06:20:36 EST

These bugs are being closed since a large number of updates have been released
after the FC5 test1 and test2 releases. Kindly update your system by running yum
update as root user or try out the third and final test version of FC5 being
released in a short while and verify if the bugs are still present on the system
.Reopen or file new bug reports as appropriate after confirming the presence of
this issue. Thanks
Comment 2 Christopher Aillon 2006-03-01 00:30:24 EST
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.